Bug 1022466 - SELinux is preventing /usr/sbin/glusterfsd from 'unmount' accesses on the filesystem .
SELinux is preventing /usr/sbin/glusterfsd from 'unmount' accesses on the fil...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:2df64dcab5320e2d6804b6774a3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-23 06:50 EDT by Pedro Algarvio
Modified: 2015-02-18 06:19 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:19:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pedro Algarvio 2013-10-23 06:50:25 EDT
Description of problem:
Nothing much was done besisdes adding some glusterfs entries to my fstab. On next boot, I got this warning.
SELinux is preventing /usr/sbin/glusterfsd from 'unmount' accesses on the filesystem .

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that glusterfsd should be allowed unmount access on the  filesystem by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep glusterfs /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:glusterd_t:s0
Target Context                system_u:object_r:fusefs_t:s0
Target Objects                 [ filesystem ]
Source                        glusterfs
Source Path                   /usr/sbin/glusterfsd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           glusterfs-3.4.1-1.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-74.10.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.11.4-201.fc19.x86_64 #1 SMP Thu
                              Oct 10 14:11:18 UTC 2013 x86_64 x86_64
Alert Count                   23
First Seen                    2013-10-22 08:03:31 WEST
Last Seen                     2013-10-23 01:05:06 WEST
Local ID                      cdd7413e-7076-4751-a529-df98014753f0

Raw Audit Messages
type=AVC msg=audit(1382486706.656:523): avc:  denied  { unmount } for  pid=1417 comm="glusterfs" scontext=system_u:system_r:glusterd_t:s0 tcontext=system_u:object_r:fusefs_t:s0 tclass=filesystem


type=SYSCALL msg=audit(1382486706.656:523): arch=x86_64 syscall=umount2 success=no exit=EACCES a0=7fe5e2936220 a1=2 a2=7fe5df904b90 a3=5b items=0 ppid=1 pid=1417 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=glusterfs exe=/usr/sbin/glusterfsd subj=system_u:system_r:glusterd_t:s0 key=(null)

Hash: glusterfs,glusterd_t,fusefs_t,filesystem,unmount

Additional info:
reporter:       libreport-2.1.8
hashmarkername: setroubleshoot
kernel:         3.11.4-201.fc19.x86_64
type:           libreport
Comment 1 Miroslav Grepl 2013-10-25 03:51:26 EDT
commit 8f104a51f53051835c94e17b61ad130bcb93ca01
Author: Miroslav Grepl <mgrepl@redhat.com>
Date:   Fri Oct 25 09:50:55 2013 +0200

    Allow glusterd to unmout al filesystems
Comment 2 Fedora Update System 2013-11-08 04:07:30 EST
selinux-policy-3.12.1-74.12.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-74.12.fc19
Comment 3 Fedora Update System 2013-11-08 22:36:09 EST
Package selinux-policy-3.12.1-74.12.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-74.12.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20980/selinux-policy-3.12.1-74.12.fc19
then log in and leave karma (feedback).
Comment 4 Pedro Algarvio 2013-11-10 03:25:16 EST
My problem with that update is that it also tries to upgrade 111 packages. Not updating it...
Comment 5 Pedro Algarvio 2013-11-10 03:27:04 EST
Sorry, I was wrong.
I'm updating selinux-policy and selinux-policy-targeted.
Comment 6 Fedora End Of Life 2015-01-09 17:40:24 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-02-18 06:19:00 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.